Compatibility of between Master and Provider of Team Center

Document ID : KB000013051
Last Modified Date : 14/02/2018
Show Technical Document Details
Question:

Enterprise Team Center master 10.5.1 could not communicate the provider 10.5.0 with the message "[ERROR] [pool-29-thread-3] [Manager.AppMap] Provider <host_name>:8081 is in version 10.5 which is not compatible with AGC version 10.5.1".

Why could not communicate between master 10.5.1 and provider 10.5.0?

Answer:

Enterprise Team Center master version and provider version should be same in 10.5.x.

e.g.
Master 10.5.1 can communicate Provider 10.5.1.
Master 10.5.0 can communicate Provider 10.5.0.